उपयोग मामले
Vision Events को उद्देश्य के अनुसार Use Cases का उपयोग करके समूहित करें।
के बारे में
वेब ऐप
यूज़ केस
एक बनाम अनेक यूज़ केस कब उपयोग करें
एक यूज़ केस बनाएं

यूज़ केस देखें
प्रोग्रामेटिक रूप से यूज़ केस प्रबंधित करें
यूज़ केस को आर्काइव करें

कस्टम मेटाडेटा स्कीमा
HTTP API
एक यूज़ केस बनाएं
Create a new use case in your workspace.
Roboflow API key passed as a Bearer token.
A name for the use case. Must be unique within the workspace.
Use case created successfully.
Validation error or duplicate name.
Insufficient permissions for this resource.
POST /vision-events/use-cases HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"id": "text",
"name": "text"
}अनुरोध बॉडी पैरामीटर
अनुरोध का उदाहरण
प्रतिक्रिया का उदाहरण
नोट्स
यूज़ केस अपडेट करें
Update the name or status of an existing use case.
Roboflow API key passed as a Bearer token.
The ID of the use case to update.
A new name for the use case. Must be unique within the workspace.
The new status for the use case.
Use case updated successfully.
Validation error or duplicate name.
Insufficient permissions for this resource.
Use case not found.
PUT /vision-events/use-cases/{useCaseId} HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 33
{
"name": "text",
"status": "active"
}{
"id": "text",
"name": "text"
}पथ पैरामीटर
अनुरोध बॉडी पैरामीटर
अनुरोध का उदाहरण
प्रतिक्रिया का उदाहरण
यूज़ केस सूचीबद्ध करें
List all use cases that have recorded vision events in your workspace.
Roboflow API key passed as a Bearer token.
Filter by use case status. Defaults to active.
activePossible values: List of use cases.
Insufficient permissions for this resource.
GET /vision-events/use-cases HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"useCases": [
{
"id": "text",
"name": "text",
"status": "active",
"workspaceId": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"lookbackDays": 1
}क्वेरी पैरामीटर
अनुरोध का उदाहरण
प्रतिक्रिया का उदाहरण
यूज़ केस को आर्काइव करें
Archive a use case by setting its status to inactive.
Roboflow API key passed as a Bearer token.
The ID of the use case to archive.
Use case archived successfully.
Insufficient permissions for this resource.
Use case not found.
POST /vision-events/use-cases/{useCaseId}/archive HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true
}पथ पैरामीटर
अनुरोध का उदाहरण
प्रतिक्रिया का उदाहरण
नोट्स
यूज़ केस को अनआर्काइव करें
Restore a previously archived use case by setting its status back to active.
Roboflow API key passed as a Bearer token.
The ID of the use case to unarchive.
Use case unarchived successfully.
Use case is not archived.
Insufficient permissions for this resource.
Use case not found.
POST /vision-events/use-cases/{useCaseId}/unarchive HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true
}पथ पैरामीटर
अनुरोध का उदाहरण
प्रतिक्रिया का उदाहरण
नोट्स
Python SDK
यूज़ केस सूचीबद्ध करें
एक यूज़ केस बनाएं
यूज़ केस का नाम बदलें
यूज़ केस को आर्काइव करें
यूज़ केस को अनआर्काइव करें
अंतिम अपडेट
क्या यह उपयोगी था?